Skip to content
POST/{organizationId}/{mandateId}/crm/plans/export

Exports plans for an organization

Required permissions:

  • mandate.read

  • plan.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

searchTermstringoptional

maxItems: 50

contactTypestring | nulloptional

Options:

memberaddresscustomersponsorcontributoremployeesupplier

A stringified json object representing a property filter

formatstringrequired

Options:

csvxlsx

minItems: 1

maxItems: 1000

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/crm/plans/export
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/plans/export' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "format": "csv"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Response

200
{
  "state": "empty"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}